./security/dsniff-nox11, Password sniffer

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.3nb12, Package name: dsniff-nox11-2.3nb12, Maintainer: pkgsrc-users

Password sniffer, plus sniffing tools for penetration testing.

This package contains does not contain the X11 tool, webspy.
It is in the dsniff package.


Required to run:
[security/openssl] [devel/libnet10]

Required to build:
[net/libnids] [pkgtools/cwrappers]

Master sites:

SHA1: 671a1df823ab0657fc95e79112924a57281e9c3b
RMD160: 89dad0259e90acef30a7aa5f3471de3aaeb06147
Filesize: 123.825 KB

Version history: (Expand)


CVS history: (Expand)


   2020-04-24 14:45:10 by Leonardo Taccari | Files touched by this commit (6)
Log message:
dsniff{,-nox11}: unbreak them by not installing sshmitm

Only sshmitm is incompatible with OpenSSL 1.1.  Temporarily avoid to build and
install it (possible patches that should fix building it with OpenSSL 1.1 are
present in Debian and are probably worth to look).

PKGREVISION++
   2020-03-08 17:51:54 by Thomas Klausner | Files touched by this commit (2833)
Log message:
*: recursive bump for libffi
   2020-01-18 22:51:16 by Jonathan Perkin | Files touched by this commit (1836)
Log message:
*: Recursive revision bump for openssl 1.1.1.
   2016-04-18 10:34:35 by Leonardo Taccari | Files touched by this commit (5) | Package updated
Log message:
Fix security/dsniff* build on NetBSD-current due recent route(4) change
(due the deprecation of RTF_LLINFO).

Bump PKGREVISION.

Reviewed by <ozaki-r>.
   2016-03-05 12:29:49 by Jonathan Perkin | Files touched by this commit (1813) | Package updated
Log message:
Bump PKGREVISION for security/openssl ABI bump.
   2016-02-26 10:41:07 by Jonathan Perkin | Files touched by this commit (32)
Log message:
Use OPSYSVARS.
   2015-01-26 17:05:04 by Sevan Janiyan | Files touched by this commit (1)
Log message:
On Darwin define BIND_8_COMPAT to resolve build issue as dsniff utilises the
BIND8 API, not the v9 API.

Closes PR pkg/39062
Reviewed by wiz@
   2013-10-06 10:28:37 by OBATA Akio | Files touched by this commit (3) | Package updated
Log message:
Bump PKGREVISION to be built with unvulnerable libnids>=1.24.